unit DnD1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DDDest, StdCtrls, ExtCtrls, Buttons, MMSystem;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    ListBox3: TListBox;
    Label4: TLabel;
    Panel1: TPanel;
    Image1: TImage;
    ComboBox1: TComboBox;
    DnDRun1: TDnDRun;
    DnDForm1: TDnDForm;
    DnDControl1: TDnDControl;
    DnDControl2: TDnDControl;
    Panel2: TPanel;
    DnDControl3: TDnDControl;
    procedure DnDRun1DnDItem(Sender: TObject; const Item: String);
    procedure DnDForm1DnDItem(Sender: TObject; const Item: String);
    procedure DnDControl1DnDFinish(Sender: TObject);
    procedure DnDControl1DnDItem(Sender: TObject; const Item: String);
    procedure DnDControl2DnDStart(Sender: TObject; Count, X, Y: Integer);
    procedure DnDControl2DnDItem(Sender: TObject; const Item: String);
    procedure DnDForm1DnDFinish(Sender: TObject);
    procedure DnDControl3DnDItem(Sender: TObject; const Item: String);
    procedure DnDControl3DnDFinish(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.DnDRun1DnDItem(Sender: TObject; const Item: String);
begin
  ListBox1.Items.Add (Item)
end;

procedure TForm1.DnDForm1DnDItem(Sender: TObject; const Item: String);
begin
  ComboBox1.Items.Add (Item)
end;

procedure TForm1.DnDForm1DnDFinish(Sender: TObject);
begin
  with ComboBox1 do
    ItemIndex := Items.Count - 1
end;

procedure TForm1.DnDControl1DnDFinish(Sender: TObject);
begin
  Beep
end;

procedure TForm1.DnDControl1DnDItem(Sender: TObject; const Item: String);
begin
  ListBox3.Items.Add (Item)
end;

procedure TForm1.DnDControl2DnDStart(Sender: TObject; Count, X, Y: Integer);
begin
  Image1.Picture := nil;
  if Count > 1 then
    ShowMessage ('Please drop only one item')
end;

procedure TForm1.DnDControl2DnDItem(Sender: TObject; const Item: String);
begin
  try
    Image1.Picture.LoadFromFile (Item)
  except
  end
end;

procedure TForm1.DnDControl3DnDItem(Sender: TObject; const Item: String);
begin
  Panel2.Caption := Item;
  Application.ProcessMessages;
  PlaySound (pchar(Item), 0, SND_FILENAME)
end;

procedure TForm1.DnDControl3DnDFinish(Sender: TObject);
begin
  Panel2.Caption := 'Drop WAV files in here'
end;

end.
